## ros-indigo-pheeno-ros 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pheeno_ros)

#### Uncomment these two to use pi cam with C++ ####
# find_package(raspicam REQUIRED)
# find_package(OpenCV REQUIRED)

find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  geometry_msgs
  roscpp
  rospy
  std_msgs
  #### Uncomment these two to use pi cam with C++ ####
  # cv_brdige
  # image_transport
)


catkin_package(
  #### Uncomment these four to use pi cam with C++ ####
  #  INCLUDE_DIRS include
  #  LIBRARIES raspicam
  #  CATKIN_DEPENDS actionlib actionlib_msgs geometry_msgs roscpp rospy std_msgs image_transport cv_bridge
  #  DEPENDS system_lib OpenCV
)

###########
## Build ##
###########

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  #### Uncomment these two to use pi cam with C++ ####
  # ${OpenCV_INCLUDE_DIRS}
  # ${raspicam_INCLUDE_DIRS}
)


#### Uncomment this section to use pi cam with C++ ####
# INCLUDE(CheckCXXCompilerFlag)
# CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
# CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
# IF(COMPILER_SUPPORTS_CXX11)
#     SET(CMAKE_CXX_FLAGS "-std=c++11")
# ELSEIF(COMPILER_SUPPORTS_CXX0X)
#     SET(CMAKE_CXX_FLAGS "-std=c++0x")
# ELSE()
#     MESSAGE(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
# ENDIF()


#### Uncomment this section to use pi cam with C++ ####
# target_link_libraries(raspicam_node
#   ${catkin_LIBRARIES}
#   ${OpenCV_LIBRARIES}
#   ${raspicam_CV_LIBS}
#)

#### Uncomment this section to use pi cam with C++ ####
# add_executable(raspicam_node
#   src/raspicam_ros_pub.cpp)



###########
# Install #
###########

add_executable(obstacle_avoidance src/command_line_parser.cpp src/sensor_listener.cpp src/obstacle_avoidance.cpp)
target_link_libraries(obstacle_avoidance ${catkin_LIBRARIES})

add_executable(random_walk src/command_line_parser.cpp src/random_walk.cpp)
target_link_libraries(random_walk ${catkin_LIBRARIES})

## Mark executables and/or libraries for installation
## (Uncomment raspicam_node to build it)
install(TARGETS obstacle_avoidance random_walk # raspicam_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-indigo-pheeno-ros (0.1.1-4trusty) trusty; urgency=high

  * Initial release
  * Contributors: zmk5

 -- zmk5 <zkakish@gmail.com>  Tue, 19 Sep 2017 07:00:00 -0000

ros-indigo-pheeno-ros (0.1.0-4trusty) trusty; urgency=high

  * Preparing initial release
  * Contributors: zmk5

 -- zmk5 <zkakish@gmail.com>  Tue, 19 Sep 2017 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-pheeno-ros
Section: misc
Priority: extra
Maintainer: zmk5 <zkakish@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs
Homepage: https://acslaboratory.github.io
Standards-Version: 3.9.2

Package: ros-indigo-pheeno-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs
Description: The pheeno_ros package contains necessary files for run and control an individual Pheeno unit with ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pheeno-ros//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
